import request from '@/utils/request'

// 查询班级列表
export function listBusiClasses(query) {
  return request({
    url: '/voluntary/busiClasses/list',
    method: 'get',
    params: query
  })
}

// 查询班级详细
export function getBusiClasses(classId) {
  return request({
    url: '/voluntary/busiClasses/' + classId,
    method: 'get'
  })
}

// 新增班级
export function addBusiClasses(data) {
  return request({
    url: '/voluntary/busiClasses',
    method: 'post',
    data: data
  })
}

// 修改班级
export function updateBusiClasses(data) {
  return request({
    url: '/voluntary/busiClasses',
    method: 'put',
    data: data
  })
}

// 删除班级
export function delBusiClasses(classId) {
  return request({
    url: '/voluntary/busiClasses/' + classId,
    method: 'delete'
  })
}
